
Partial Class NotAllowed
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            'スマホ or PC
            If Request.Browser.IsMobileDevice Then
                PanelMenuPC.Visible = False
                PanelMenuMobile.Visible = True
            Else
                PanelMenuPC.Visible = True
                PanelMenuMobile.Visible = False
            End If

            Dim xMsg As String = Request.QueryString.Get("msg")
            If Not String.IsNullOrEmpty(xMsg) Then
                LabelMsg.Text = xMsg
            End If
        End If
    End Sub

End Class
